> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a group of products

> Update a group of existing products. Up to 100 products can be updated in a single request. The request body will be an array, with each element containing the ID of the product to update and a list of properties to update for that product. See the examples for details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json POST /crm-objects/v1/objects/products
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products:
    post:
      summary: Create a group of products
      description: >-
        Update a group of existing products. Up to 100 products can be updated
        in a single request. The request body will be an array, with each
        element containing the ID of the product to update and a list of
        properties to update for that product. See the examples for details.
      operationId: postcrmobjectsv1objectsproducts
      responses:
        '200':
          description: Successful response - Update a group of existing products
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create a group of products - Example 1
                  value:
                    - name: name
                      value: A new product
                    - name: description
                      value: A description of this product.
                    - name: price
                      value: '27.50'
                    - name: recurringbillingfrequency
                      value: quarterly
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '27.50'
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: '27.50'
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A new product
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: A new product
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: A description of this product.
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: A description of this product.
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
                    - versions:
                        - name: recurringbillingfrequency
                          value: quarterly
                          timestamp: 1525287096980
                          source: API
                          sourceVid: []
                      value: quarterly
                      timestamp: 1525287096980
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````